> ## Documentation Index
> Fetch the complete documentation index at: https://firecrawl.web3doc.top/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取爬取状态

此端点检索爬取作业的状态。如果作业未完成，响应中将包含在 `partial_data` 内的内容。一旦作业完成，内容将在 `data` 下可用。

**我们建议自行跟踪爬取作业，因为爬取状态结果在24小时后可能会过期。**


## OpenAPI

````yaml v0-openapi GET /crawl/status/{jobId}
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v0
  description: >-
    API for interacting with Firecrawl services to perform web scraping and
    crawling tasks.
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v0
security:
  - bearerAuth: []
paths:
  /crawl/status/{jobId}:
    get:
      tags:
        - Crawl
      summary: Get the status of a crawl job
      operationId: getCrawlStatus
      parameters:
        - name: jobId
          in: path
          description: ID of the crawl job
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the job (completed, active, failed, paused)
                  current:
                    type: integer
                    description: Current page number
                  total:
                    type: integer
                    description: Total number of pages
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CrawlStatusResponseObj'
                    description: Data returned from the job (null when it is in progress)
                  partial_data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CrawlStatusResponseObj'
                    description: >-
                      Partial documents returned as it is being crawled
                      (streaming). **This feature is currently in alpha - expect
                      breaking changes** When a page is ready, it will append to
                      the partial_data array, so there is no need to wait for
                      the entire website to be crawled. When the crawl is done,
                      partial_data will become empty and the result will be
                      available in `data`. There is a max of 50 items in the
                      array response. The oldest item (top of the array) will be
                      removed when the new item is added to the array.
        '402':
          description: Payment required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Payment required to access this resource.
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
      security:
        - bearerAuth: []
components:
  schemas:
    CrawlStatusResponseObj:
      type: object
      properties:
        markdown:
          type: string
        content:
          type: string
        html:
          type: string
          nullable: true
          description: HTML version of the content on page if `includeHtml`  is true
        rawHtml:
          type: string
          nullable: true
          description: Raw HTML content of the page if `includeRawHtml`  is true
        index:
          type: integer
          description: >-
            The number of the page that was crawled. This is useful for
            `partial_data` so you know which page the data is from.
        metadata:
          type: object
          properties:
            title:
              type: string
            description:
              type: string
            language:
              type: string
              nullable: true
            sourceURL:
              type: string
              format: uri
            '<any other metadata> ':
              type: string
            pageStatusCode:
              type: integer
              description: The status code of the page
            pageError:
              type: string
              nullable: true
              description: The error message of the page
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````